#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "LocalTextureLoader.generated.h"

class UTexture2D;

UCLASS(Blueprintable)
class DBDUIVIEWSCORE_API ULocalTextureLoader : public UObject
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TMap<FString, UTexture2D*> _loadedTexturesMap;

public:
	ULocalTextureLoader();
};

FORCEINLINE uint32 GetTypeHash(const ULocalTextureLoader) { return 0; }
